net.sf.jasperreports.engine

## Class JRExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter

- Direct Known Subclasses:
    JRCsvExporterParameter, JRDocxExporterParameter, JRGraphics2DExporterParameter, JRHtmlExporterParameter, JROpenDocumentExporterParameter, JRPdfExporterParameter, JRPrintServiceExporterParameter, JRTextExporterParameter, JRXlsAbstractExporterParameter, JRXmlExporterParameter

  Deprecated.
  Replaced by `ExporterInput`, `ExporterConfiguration` and `ExporterOutput`.

      public class JRExporterParameter
      extends java.lang.Object

  Instances of this class are used for defining and setting exporter parameters.

  The `JasperPrint` object needed for the export can be specified in many ways: an instance of `JasperPrint`, an input stream, a file on disk, or an URL. The export engine will search for this object through parameters in the following order: JASPER_PRINT_LIST, JASPER_PRINT, INPUT_STREAM, INPUT_URL, INPUT_FILE, INPUT_FILE_NAME.

  The output type of the export process can also vary: a string buffer, an output stream / writer of a file on disk. The order of parameters used by JasperReports when looking for the output depends on the final document format and is explained in detail for each format (see documentation for the children of this class).

  JasperReports allows users to export only a page range from the entire report or even a single page. The engine first searches for the PAGE_INDEX parameter. If this is not present, it looks for the START_PAGE_INDEX and END_PAGE_INDEX parameters. The engine will try to narrow the page range (which is initially the entire report) by using these two parameters, if present.

  Version:
    $Id: JRExporterParameter.java 6994 2014-03-28 12:16:48Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRExporterParameter` | `CHARACTER_ENCODING` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.File, String)`, `SimpleWriterExporterOutput.SimpleWriterExporterOutput(String, String)` and `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.OutputStream, String)`.
    `static JRExporterParameter` | `CLASS_LOADER` Deprecated. Replaced by `JasperReportsContext`.
    `static JRExporterParameter` | `END_PAGE_INDEX` Deprecated. Replaced by `ReportExportConfiguration.getEndPageIndex()`.
    `static JRExporterParameter` | `FILE_RESOLVER` Deprecated. Replaced by `JasperReportsContext`.
    `static JRExporterParameter` | `FILTER` Deprecated. Replaced by `ReportExportConfiguration.getExporterFilter()`.
    `static JRExporterParameter` | `HYPERLINK_PRODUCER_FACTORY` Deprecated. Replaced by `ReportExportConfiguration.getHyperlinkProducerFactory()`.
    `static JRExporterParameter` | `IGNORE_PAGE_MARGINS` Deprecated. Replaced by `HtmlReportConfiguration.isIgnorePageMargins()` and `XlsReportConfiguration.isIgnorePageMargins()`.
    `static JRExporterParameter` | `INPUT_FILE` Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.io.File)`.
    `static JRExporterParameter` | `INPUT_FILE_NAME` Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(String)`.
    `static JRExporterParameter` | `INPUT_STREAM` Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.io.InputStream)`.
    `static JRExporterParameter` | `INPUT_URL` Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.net.URL)`.
    `static JRExporterParameter` | `JASPER_PRINT` Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(JasperPrint)`.
    `static JRExporterParameter` | `JASPER_PRINT_LIST` Deprecated. Replaced by `SimpleExporterInput.getInstance(java.util.List)`.
    `static JRExporterParameter` | `OFFSET_X` Deprecated. Replaced by `ReportExportConfiguration.getOffsetX()`.
    `static JRExporterParameter` | `OFFSET_Y` Deprecated. Replace by `ReportExportConfiguration.getOffsetY()`.
    `static JRExporterParameter` | `OUTPUT_FILE` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.File)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(java.io.File)`.
    `static JRExporterParameter` | `OUTPUT_FILE_NAME` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(String)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(String)`.
    `static JRExporterParameter` | `OUTPUT_STREAM` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.OutputStream)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(java.io.OutputStream)`.
    `static JRExporterParameter` | `OUTPUT_STRING_BUFFER` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(StringBuffer)`.
    `static JRExporterParameter` | `OUTPUT_WRITER` Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.Writer)`.
    `static JRExporterParameter` | `PAGE_INDEX` Deprecated. Replaced by `ReportExportConfiguration.getPageIndex()`.
    `static JRExporterParameter` | `PARAMETERS_OVERRIDE_REPORT_HINTS` Deprecated. To be removed.
    `static JRExporterParameter` | `PROGRESS_MONITOR` Deprecated. Replaced by `ReportExportConfiguration.getProgressMonitor()`.
    `static java.lang.String` | `PROPERTY_CHARACTER_ENCODING` Deprecated. Replaced by `WriterExporterOutput.PROPERTY_CHARACTER_ENCODING`.
    `static java.lang.String` | `PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS` Deprecated. Replaced by `CommonExportConfiguration.PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`.
    `static java.lang.String` | `PROPERTY_IGNORE_PAGE_MARGINS` Deprecated. Replaced by `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`.
    `static JRExporterParameter` | `START_PAGE_INDEX` Deprecated. Replaced by `ReportExportConfiguration.getStartPageIndex()`.
    `static JRExporterParameter` | `URL_HANDLER_FACTORY` Deprecated. Replaced by `JasperReportsContext`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JASPER_PRINT

          public static final JRExporterParameter JASPER_PRINT

      Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(JasperPrint)`.

    - #### JASPER_PRINT_LIST

          public static final JRExporterParameter JASPER_PRINT_LIST

      Deprecated. Replaced by `SimpleExporterInput.getInstance(java.util.List)`.

    - #### INPUT_STREAM

          public static final JRExporterParameter INPUT_STREAM

      Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.io.InputStream)`.

    - #### INPUT_URL

          public static final JRExporterParameter INPUT_URL

      Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.net.URL)`.

    - #### INPUT_FILE

          public static final JRExporterParameter INPUT_FILE

      Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(java.io.File)`.

    - #### INPUT_FILE_NAME

          public static final JRExporterParameter INPUT_FILE_NAME

      Deprecated. Replaced by `SimpleExporterInput.SimpleExporterInput(String)`.

    - #### OUTPUT_STRING_BUFFER

          public static final JRExporterParameter OUTPUT_STRING_BUFFER

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(StringBuffer)`.

    - #### OUTPUT_WRITER

          public static final JRExporterParameter OUTPUT_WRITER

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.Writer)`.

    - #### OUTPUT_STREAM

          public static final JRExporterParameter OUTPUT_STREAM

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.OutputStream)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(java.io.OutputStream)`.

    - #### OUTPUT_FILE

          public static final JRExporterParameter OUTPUT_FILE

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.File)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(java.io.File)`.

    - #### OUTPUT_FILE_NAME

          public static final JRExporterParameter OUTPUT_FILE_NAME

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(String)` and `SimpleOutputStreamExporterOutput.SimpleOutputStreamExporterOutput(String)`.

    - #### PAGE_INDEX

          public static final JRExporterParameter PAGE_INDEX

      Deprecated. Replaced by `ReportExportConfiguration.getPageIndex()`.

    - #### START_PAGE_INDEX

          public static final JRExporterParameter START_PAGE_INDEX

      Deprecated. Replaced by `ReportExportConfiguration.getStartPageIndex()`.

    - #### END_PAGE_INDEX

          public static final JRExporterParameter END_PAGE_INDEX

      Deprecated. Replaced by `ReportExportConfiguration.getEndPageIndex()`.

    - #### CHARACTER_ENCODING

          public static final JRExporterParameter CHARACTER_ENCODING

      Deprecated. Replaced by `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.File, String)`, `SimpleWriterExporterOutput.SimpleWriterExporterOutput(String, String)` and `SimpleWriterExporterOutput.SimpleWriterExporterOutput(java.io.OutputStream, String)`.

    - #### PROPERTY_CHARACTER_ENCODING

          public static final java.lang.String PROPERTY_CHARACTER_ENCODING

      Deprecated. Replaced by `WriterExporterOutput.PROPERTY_CHARACTER_ENCODING`.
      See Also:
        Constant Field Values

    - #### PROGRESS_MONITOR

          public static final JRExporterParameter PROGRESS_MONITOR

      Deprecated. Replaced by `ReportExportConfiguration.getProgressMonitor()`.

    - #### OFFSET_X

          public static final JRExporterParameter OFFSET_X

      Deprecated. Replaced by `ReportExportConfiguration.getOffsetX()`.

    - #### OFFSET_Y

          public static final JRExporterParameter OFFSET_Y

      Deprecated. Replace by `ReportExportConfiguration.getOffsetY()`.

    - #### CLASS_LOADER

          public static final JRExporterParameter CLASS_LOADER

      Deprecated. Replaced by `JasperReportsContext`.

    - #### URL_HANDLER_FACTORY

          public static final JRExporterParameter URL_HANDLER_FACTORY

      Deprecated. Replaced by `JasperReportsContext`.
      URL stream handler factory to be used while exporting the report.

      The values should be of type `java.net.URLStreamHandlerFactory`.
      See Also:
        `JRResourcesUtil.createURL(String, java.net.URLStreamHandlerFactory)`

    - #### FILE_RESOLVER

          public static final JRExporterParameter FILE_RESOLVER

      Deprecated. Replaced by `JasperReportsContext`.
      The `FileResolver` instance to be used while exporting the report.

    - #### HYPERLINK_PRODUCER_FACTORY

          public static final JRExporterParameter HYPERLINK_PRODUCER_FACTORY

      Deprecated. Replaced by `ReportExportConfiguration.getHyperlinkProducerFactory()`.

    - #### FILTER

          public static final JRExporterParameter FILTER

      Deprecated. Replaced by `ReportExportConfiguration.getExporterFilter()`.

    - #### PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS

          public static final java.lang.String PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS

      Deprecated. Replaced by `CommonExportConfiguration.PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`.
      A global (per context) property that establishes the priority of export parameters against report hints. If the property is true, export parameters override report hints; this is the default behavior. This property cannot be used as a report export hint.
      See Also:
        Constant Field Values

    - #### PARAMETERS_OVERRIDE_REPORT_HINTS

          public static final JRExporterParameter PARAMETERS_OVERRIDE_REPORT_HINTS

      Deprecated. To be removed.
      Export parameter that can override the `PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS` property.

    - #### IGNORE_PAGE_MARGINS

          public static final JRExporterParameter IGNORE_PAGE_MARGINS

      Deprecated. Replaced by `HtmlReportConfiguration.isIgnorePageMargins()` and `XlsReportConfiguration.isIgnorePageMargins()`.

    - #### PROPERTY_IGNORE_PAGE_MARGINS

          public static final java.lang.String PROPERTY_IGNORE_PAGE_MARGINS

      Deprecated. Replaced by `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRExporterParameter

          protected JRExporterParameter(java.lang.String name)

      Deprecated.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com